Package it.ernytech.tdlib

## Class TdApi.Document

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Document

Enclosing class:
  TdApi

    public static class TdApi.Document
    extends TdApi.Object

Describes a document of any type.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.File` `document` File containing the document.
`java.lang.String` `fileName` Original name of the file; as defined by the sender.
`java.lang.String` `mimeType` MIME type of the file; as defined by the sender.
`TdApi.PhotoSize` `thumbnail` Document thumbnail; as defined by the sender; may be null.

### Constructor Summary

Constructors
`Document()` Default constructor.
`Document​(java.lang.String fileName, java.lang.String mimeType, TdApi.PhotoSize thumbnail, TdApi.File document)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### fileName

    public java.lang.String fileName

Original name of the file; as defined by the sender.

#### mimeType

    public java.lang.String mimeType

MIME type of the file; as defined by the sender.

#### thumbnail

    public TdApi.PhotoSize thumbnail

Document thumbnail; as defined by the sender; may be null.

#### document

    public TdApi.File document

File containing the document.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### Document

    public Document()

Default constructor.

#### Document

    public Document​(java.lang.String fileName,
                    java.lang.String mimeType,
                    TdApi.PhotoSize thumbnail,
                    TdApi.File document)

Constructor for initialization of all fields.

Parameters:
  `fileName` - Original name of the file; as defined by the sender.
  `mimeType` - MIME type of the file; as defined by the sender.
  `thumbnail` - Document thumbnail; as defined by the sender; may be null.
  `document` - File containing the document.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR